# Installation de l'application

Sont décrites ici les étapes pour configurer et tester rapidement l'application.

## Pré-requis

* Apache 2.4 Modules requis :
    * proxy (Si utilisation de PHP-FPM)
    * proxy_fcgi (Si utilisation de PHP-FPM)
    * setenvif
    * rewrite
* PHP 7.2, 7.3 ou 7.4, extensions requises :
    * xml
    * mysqli
    * pdo
    * gd
    * intl
* mariadb

## Configuration du Virtualhost Apache

Créer un Virtualhost Apache. Le `DocumentRoot` doit pointer vers le sous dossier public.

Ex: Dossier pour le Virtualhost `/var/www/notaires`, `DocumentRoot /var/www/notaires/public`

Pour une configuration avancée vous pouvez vous réferer à la [documentation de Symfony](https://symfony.com/doc/current/setup/web_server_configuration.html)

## Récupérer l'application

* Télécharger le fichier zip contenant la version en cours : [Télécharger](https://gitlab.adullact.net/departements-notaires/departements-notaires-v2/-/jobs/34191/artifacts/file/build-result/app-2.0.0-beta1.tgz)
* Dézipper le fichier dans le sous-dossier `/var/www/notaires` du serveur Apache

## Base de données

Créer une base de données et un utilisateur associé sur mariadb
Exemple :
* Database : `notaires`
* Username : `notaires`
* Password : `password`

## Configurer

Créer le fichier .env à la racine du projet (à partir du fichier .env.dist)
Adapter les variables suivantes :
* `APP_ENV` : type de l'environnnement (dev ou prod)
* `APP_DEBUG` : affiche ou non à l'écran les messages d'erreurs de l'application (0 ou 1)
* `DATABASE_URL` : informations de connexion à la base de données
* `MAILER_DSN` : informations de connexion au smtp pour les emails
* `MAILER_SENDER` : adresse mail de l'expéditeur des mails
* `APP_SECRET` : chaine de caratères aléatoire servant pour la sécurisation et les fonctions cryptographiques
* `TRUSTED_PROXIES` : liste de reverse proxy pouvant être devant l'application (séparé par des `,`)
* `TRUSTED_HOSTS` : regex permettant de filtrer le(s) nom(s) de domaine ayant accès à l'application : '^example\.com$'

## Installation des dépendances

Donner les bons droits sur les fichiers
```shell
chmod +x bin/*
```

Lancer l'installation de la base de données et l'initialisation des classes
```shell
./bin/console doctrine:migrations:migrate
```

Créer l'utiliateur administrateur
```shell
./bin/console user:add
```

## Se connecter à l'application avec l'utilisateur créé

Ouvrir dans un navigateur l'url configurée sur votre serveur Apache.
