<?php

namespace App\Controller;

use App\Entity\User;
use App\Utility\UserUtility;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\Security\Core\Security;

class DefaultController extends BaseController
{

    /**
     * @Route("/", name="index")
     *
     * @param Security $security
     *
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function indexAction(Security $security)
    {
        if ($security->isGranted(UserUtility::ROLE_ADMIN)) {
            return $this->redirect('admin');
        }

        return $this->redirect('search');
    }
}
