<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\InstructorRepository")
 * @ORM\Table(name="instructeur")
 */
class Instructor
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(name="prenom", type="string", length=255)
     */
    private $firstName;

    /**
     * @ORM\Column(name="nom", type="string", length=255)
     */
    private $lastName;

    /**
     * @ORM\Column(name="mail", type="string", length=255)
     */
    private $email;

    /**
     * @ORM\Column(name="telephone", type="string", length=255, nullable=true)
     */
    private $phone;

    /**
     * @ORM\Column(name="type_reponse", type="json")
     */
    private $responseType;

    /**
     * @ORM\Column(name="initiales", type="json")
     */
    private $initials;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getFirstName(): ?string
    {
        return $this->firstName;
    }

    public function setFirstName(string $firstName): self
    {
        $this->firstName = $firstName;

        return $this;
    }

    public function getLastName(): ?string
    {
        return $this->lastName;
    }

    public function setLastName(string $lastName): self
    {
        $this->lastName = $lastName;

        return $this;
    }

    public function getEmail(): ?string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;

        return $this;
    }

    public function getPhone(): ?string
    {
        return $this->phone;
    }

    public function setPhone(?string $phone): self
    {
        $this->phone = $phone;

        return $this;
    }

    public function getResponseType(): array
    {
        if (!$this->responseType) {
            return [];
        }

        return $this->responseType;
    }

    public function setResponseType(array $responseType): self
    {
        $this->responseType = $responseType;

        return $this;
    }

    public function getInitials(): array
    {
        if (!$this->initials) {
            return [];
        }

        return $this->initials;
    }

    public function setInitials(array $initials): self
    {
        $this->initials = $initials;

        return $this;
    }
}
