<?php

namespace App\Service;

use Symfony\Component\Mailer\MailerInterface;
use Symfony\Component\Mime\Email;

class MailService
{
    private $mailer;
    private $mailSender;

    public function __construct(MailerInterface $mailer, string $mailSender)
    {
        $this->mailer = $mailer;
        $this->mailSender = $mailSender;
    }

    /**
     * @param array  $recipients
     * @param string $subject
     * @param string $html
     *
     * @throws \Symfony\Component\Mailer\Exception\TransportExceptionInterface
     */
    public function sendHtmlMail(array $recipients, string $subject, string $html)
    {
        $email = (new Email())
            ->from($this->mailSender)
            ->subject($subject)
            ->html($html);

        foreach ($recipients as $recipient) {
            $email->addTo($recipient);
        }

        $this->mailer->send($email);
    }
}
