CREATE TABLE parametrage (id INT AUTO_INCREMENT NOT NULL, cle VARCHAR(100) NOT NULL, valeur LONGTEXT DEFAULT NULL, UNIQUE INDEX UNIQ_48D9935341401D17 (cle), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE `utf8_unicode_ci` ENGINE = InnoDB;
CREATE TABLE membre (id INT AUTO_INCREMENT NOT NULL, login VARCHAR(200) NOT NULL, password VARCHAR(255) NOT NULL, mail VARCHAR(255) NOT NULL, role LONGTEXT NOT NULL COMMENT '(DC2Type:json)', nom VARCHAR(255) NOT NULL, service VARCHAR(255) DEFAULT NULL, adresse VARCHAR(255) DEFAULT NULL, complement_adresse VARCHAR(255) DEFAULT NULL, code_postal VARCHAR(255) DEFAULT NULL, ville VARCHAR(255) DEFAULT NULL, nb_log_error INT DEFAULT 0 NOT NULL, token_reinit VARCHAR(255) DEFAULT NULL, desactive TINYINT(1) NOT NULL, UNIQUE INDEX UNIQ_F6B4FB29AA08CB10 (login), UNIQUE INDEX UNIQ_F6B4FB295126AC48 (mail), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE `utf8_unicode_ci` ENGINE = InnoDB;
CREATE TABLE log_membre (id INT AUTO_INCREMENT NOT NULL, id_membre INT DEFAULT NULL, date DATETIME NOT NULL, echec TINYINT(1) NOT NULL, INDEX IDX_E34EA88BD0834EC4 (id_membre), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE `utf8_unicode_ci` ENGINE = InnoDB;
CREATE TABLE instructeur (id INT AUTO_INCREMENT NOT NULL, prenom VARCHAR(255) NOT NULL, nom VARCHAR(255) NOT NULL, mail VARCHAR(255) NOT NULL, telephone VARCHAR(255) DEFAULT NULL, type_reponse LONGTEXT NOT NULL COMMENT '(DC2Type:json)', initiales LONGTEXT NOT NULL COMMENT '(DC2Type:json)', PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE `utf8_unicode_ci` ENGINE = InnoDB;
CREATE TABLE individu (id INT AUTO_INCREMENT NOT NULL, num_ind INT NOT NULL, sexe VARCHAR(1) NOT NULL, nom_usage VARCHAR(255) NOT NULL, nom_civil VARCHAR(255) DEFAULT NULL, prenom VARCHAR(255) NOT NULL, prenomd VARCHAR(255) DEFAULT NULL, prenomt VARCHAR(255) DEFAULT NULL, date_naissance DATE NOT NULL, adresse VARCHAR(255) DEFAULT NULL, mdr VARCHAR(255) DEFAULT NULL, telephone VARCHAR(255) DEFAULT NULL, mail_mdr VARCHAR(255) DEFAULT NULL, libelle VARCHAR(255) DEFAULT NULL, code_aide VARCHAR(50) DEFAULT NULL, UNIQUE INDEX UNIQ_5EE42FCE1961CB7B (num_ind), INDEX num_ind (num_ind), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE `utf8_unicode_ci` ENGINE = InnoDB;
CREATE TABLE log_recherche (id INT AUTO_INCREMENT NOT NULL, id_membre INT DEFAULT NULL, nom VARCHAR(255) NOT NULL, prenom VARCHAR(255) NOT NULL, date_naissance DATE NOT NULL, date_deces DATE NOT NULL, lieu_deces VARCHAR(255) NOT NULL, date_acte_deces DATE NOT NULL, type_reponse INT NOT NULL, lien_pdf VARCHAR(255) NOT NULL, date_recherche DATETIME NOT NULL, id_individu INT DEFAULT NULL, INDEX IDX_A22587C8D0834EC4 (id_membre), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE `utf8_unicode_ci` ENGINE = InnoDB;
ALTER TABLE log_membre ADD CONSTRAINT FK_E34EA88BD0834EC4 FOREIGN KEY (id_membre) REFERENCES membre (id) ON DELETE SET NULL;
ALTER TABLE log_recherche ADD CONSTRAINT FK_A22587C8D0834EC4 FOREIGN KEY (id_membre) REFERENCES membre (id) ON DELETE SET NULL;
